## sugar-base 0.98.0

=== debian/changelog ===
sugar-base (0.98.0-8) unstable; urgency=medium

  * Update package relations:
    + Fix depend on python-gobject-2 (not bogus python-2-gobject).
  * Fix previous changelog entry regarding package name.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 28 Nov 2017 11:45:10 +0100

sugar-base (0.98.0-7) unstable; urgency=medium

  * Update watch file: Use patterns.
  * Update git-buildpackage config: Stop set branches or compression.
  * Update package relations:
    + Build-depend on python-gobject-2-dev (with only fallback on
      python-gobject-dev).
    + Depend on Python-2-gobject (with only fallback on python-gobject).
    Closes: Bug#802153. Thanks to Laurent Bigonville.
  * Modernize Vcs-* fields: Consistently include .git suffix in path.
  * Declare compliance with Debian Policy 4.1.1.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 20 Nov 2017 14:44:25 +0100

sugar-base (0.98.0-6) unstable; urgency=medium

  * Modernize CDBS use:
    + Use variable cdbs_ when available.
    + Drop upstream-tarball hints: Use gbp import-orig --uscan.
    + Do copyright-check in maintainer script (not during build).
      Relax to build-depend unversioned on cdbs.
      Stop build-depend on devscripts.
  * Modernize Vcs-* fields:
    + Use https protocol.
    + Use git (not cgit) in path.
  * Declare compliance with Debian Policy 4.1.0.
  * Use https protocol in homepage URL.
  * Update copyright info:
    + Use https protocol in file format URL.
    + Extend coverage for myself.
    + Use SPDX License shortnames FSFUL FSFULLR (and derived forms).
  * Update git-buildpackage config: Filter any .git* files.
  * Update watch file:
    + Bump format version.
    + Mention gbp --uscan in usage comment.
    + Tighten version regex.
  * Advertise DEP-3 format in patch headers.
  * Add debian/patches/README to source documenting naming micro policy.
  * Tighten lintian overrides regarding License-Reference.
  * Fix rename locale aym→ay: ISO 639-1 favored over ISO 639-2.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 29 Aug 2017 16:37:31 +0200

sugar-base (0.98.0-5) unstable; urgency=medium

  * Bump debhelper compatibility level to 9.
  * Tidy rules file: Suppress versioned debhelper build-dependency.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 25 Jun 2015 16:47:27 -0500

sugar-base (0.98.0-4) experimental; urgency=medium

  * Drop branch from source and binary package.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 15 Jun 2015 17:15:18 -0500

sugar-base-0.98 (0.98.0-3) unstable; urgency=medium

  * Modernize short and long description.
  * Update copyright info:
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
    + Add comments on LGPL Lesser versus Library assumption.
    + Drop duplicate copyright statement in BSD-3-clause~O'Brien License
      section.
  * Add lintian overrides regarding license in License-Reference field.
    See bug#786450.
  * Remove debian/source/local-options: abort-on-upstream-changes and
    unapply-patches are default in dpkg-source since 1.16.1.
  * Modernize git-buildpackage config: Avoid "git-" prefix.
  * Drop obsolete TODO file.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 15 Jun 2015 16:53:58 -0500

sugar-base-0.98 (0.98.0-2) unstable; urgency=medium

  * Track xz compressed upstream tarballs (but favor bzip2).
  * Update package relations:
    + Fix stop recommend bogus sugar-*.
      Closes: bug#782468.
    + Relax to build-depend unversioned on python-gobject-dev without
      fallback, and depend unversioned on python-gobject: Needed
      versions satisfied even in oldstable.
  * Bump debhelper compatibility level to 8.
  * Declare compliance with Debian Policy 3.9.6.
  * Move packaging to Debian Sugar Team.
  * Move to section oldlibs: Deprecated upstream.
  * Wrap and sort Uploaders and package relations fields.
  * Update copyright info:
    + Extend coverage for myself.
    + Relicense packaging as GPL-3+.
    + Fix use SPDX shortname for X11 license.
      Thanks to Paul Richards Tagliamonte.
    + Merge same-licensed Files sections, and rewrap at 72 chars.
  * Rewrite README.source to emphasize that control.in file is *not* a
    show-stopper for contributions, and refer to wiki page for details.
  * Modernize long description, and mention deprecation.
  * Stop track upstream tarball checksum.
  * Mention relevancy of suggested ipython in long description and
    README.Debian.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 17 Apr 2015 09:45:22 +0200

sugar-base-0.98 (0.98.0-1) unstable; urgency=low

  * New upstream release
  * Switch packaging to upstream branch 0.98
  * Added myself to Uploaders
  * Bump standards-version to 3.9.4

 -- Santiago Ruano Rincón <santiago@debian.org>  Sat, 07 Sep 2013 00:55:13 +0200

sugar-base-0.96 (0.96.0-1) unstable; urgency=low

  * New upstream release.

  * Use anonscm.debian.org for Vcs-Browser field.
  * Refresh patch 1001.
  * Update copyright file:
    + Bump format to 1.0.
    + Fix double-indent in Copyright fields as per Policy §5.6.13.
    + Fix concistently use ~ (not ˜) in derivative License shortnames.
  * Fix typo in long description.
  * Bump standards-version to 3.9.3.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 24 May 2012 18:54:11 +0200

sugar-base-0.92 (0.92.0-1) unstable; urgency=low

  * New upstream release.

  * Switch packaging to upstream branch 0.92.
  * Update copyright file: Extend years.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 25 Jul 2011 01:28:04 +0200

sugar-base-0.90 (0.90.1-2) unstable; urgency=low

  * Update README.source to not mention quilt: Source format 3.0 use it
    internally, but there it is standard and thus need no mention here.
  * Update copyright file:
    + Rewrite using draft 174 of DEP-5 syntax.
    + Fix use exceptions (not bogus License sections).
    + Tighten License section naming.
  * Add patch 1001 to add compatibility with ipython 0.11.
    Closes: bug#635289. Thanks to Julian Taylor.
  * Bump policy compliance to standards-version 3.9.2.
  * Remove la file.

