=== debian/control ===
Source: sugar-base
Section: oldlibs
Priority: optional
Maintainer: Debian Sugar Team <pkg-sugar-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>,
 Santiago Ruano Rincón <santiago@debian.org>
Build-Depends: cdbs,
 autotools-dev,
 debhelper,
 dh-buildinfo,
 python,
 python-all-dev,
 python-gtk2-dev,
 intltool,
 python-gobject-2-dev | python-gobject-dev,
 chrpath
Standards-Version: 4.1.1
Vcs-Git: https://anonscm.debian.org/git/pkg-sugar/sugar-base.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-sugar/sugar-base.git
Homepage: https://wiki.sugarlabs.org/go/Sugar

Package: python-sugar
Architecture: any
Depends: ${cdbs:Depends},
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Recommends: ${cdbs:Recommends}
Suggests: ${cdbs:Suggests}
Provides: ${cdbs:Provides},
 ${python:Provides}
Conflicts: ${cdbs:Conflicts}
Replaces: ${cdbs:Replaces}
Description: Sugar Learning Platform - legacy core functionality
 Sugar Learning Platform promotes collaborative learning through Sugar
 Activities that encourage critical thinking, the heart of a quality
 education.  Designed from the ground up especially for children, Sugar
 offers an alternative to traditional “office-desktop” software.
 .
 This package contains some deprecated yet still widely used base
 modules for Sugar.  Please use python-sugar3 instead where possible.
 .
 To get prettier tracebacks if things break, install ipython.
