## sugar-base 0.98.0-8ubuntu1+8.0trisquel1

=== debian/changelog ===
sugar-base (0.98.0-8ubuntu1+8.0trisquel1) flidas; urgency=medium

  * Backported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 04 Apr 2018 04:52:44 +0000

sugar-base (0.98.0-8ubuntu1) bionic; urgency=medium

  * debian/control*, debian/rules:
    - Remove the obsolete python-gobject-dev transitional dependency.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 08 Dec 2017 22:24:01 +0100
